package co.yixiang.yshop.module.distributor.convert.distributorwages;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributorwages.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwages.DistributorWagesDO;

/**
 * 分销商佣金 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorWagesConvert {

    DistributorWagesConvert INSTANCE = Mappers.getMapper(DistributorWagesConvert.class);

    DistributorWagesDO convert(DistributorWagesCreateReqVO bean);

    DistributorWagesDO convert(DistributorWagesUpdateReqVO bean);

    DistributorWagesRespVO convert(DistributorWagesDO bean);

    List<DistributorWagesRespVO> convertList(List<DistributorWagesDO> list);

    PageResult<DistributorWagesRespVO> convertPage(PageResult<DistributorWagesDO> page);

    List<DistributorWagesExcelVO> convertList02(List<DistributorWagesDO> list);

}
